/* tabela de pontos dos times */
.container-principal-1 {
    min-height: 100vh;
    width: 100%;
    background: #e0e0e0;
}

.container-1 {
    background-color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    padding: 20px;
    width: 90vw;
    margin: 40px auto;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.table {
    width: 100vw;
    overflow-x: auto;
}

.table-header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    background: linear-gradient(to right, #2b4c7e, #7e2b2b);
    border-radius: 8px 8px 0 0;
    color: #ffffff;
    font-size: 1.7rem;
    font-weight: 700;
}

.titulo-table{
    display: flex;
    align-items: center;
    justify-content: center;
}

.titulo-table h1{
    font-size: 1.7rem;
    margin-top: 15px;
    margin-left: 10px;
}

button{
    outline: none;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    padding: 10px;
    color: #fefefe;
}

.table-body{
    height: 115px;
    overflow: auto; 
}

table {
    width: 100%;
    table-layout: fixed;
    min-width: 900px;
    border-collapse: collapse;
}

thead th {
    top: 0;
    background: #606d80;
    color: #ffffff;
    font-size: 15px;
}

th:nth-child(4), td:nth-child(4), th:nth-child(3), td:nth-child(3),th:nth-child(5), td:nth-child(5),th:nth-child(6), td:nth-child(6) {
    width: 17%;
}

th:nth-child(1), td:nth-child(1){
    width: 10%;
}

th, td {
    border-bottom: 1px, solid #dddddd;
    padding: 10px 20px;
    word-break: break-all;  
    text-align: center;
}

tr:hover td{
    color: #567ebb;
    cursor: pointer;
    background-color: #dce0e6;
}

::-webkit-scrollbar {
    height: 5px;
    width: 5px;
}

::-webkit-scrollbar-track {
    box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

::-webkit-scrollbar-thumb {
    box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

.container-card-jogos {
    padding-top: 140px;
    width: 100%;
    margin: 40px auto;
}

.card {
    background-color: #fff;
    height: 160px;
    width: 350px;
    border-radius: 20px;
    padding: 20px 20px;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.card-box-azul {
    box-shadow: 4px 4px 4px 4px rgba(26, 3, 115, 0.349);
}

.card-box-vermelho {
    box-shadow: 4px 4px 4px 4px rgba(141, 5, 5, 0.349);
}

.card-box-empate {
    box-shadow: 4px 4px 4px 4px rgba(32, 31, 31, 0.349);
}

.card h5 {
    color: #000;
    font-size: 1.5rem;
}

.card p {
    color: #000;
    margin-top: 20px;
    margin-bottom: 10px;
    font-size: 1.2rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.card-jogos {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    align-items: center;
    justify-items: center;
}
.time-azul {
    margin-right: 20px;
}
.time-vermelho {
    margin-left: 20px;
}


/* tabela de jogadores em cada time */
.container-principal-2 {
    background-color: #ffffff;
    padding: 40px 0;
}

.container-2{
    background-color: #e0e0e0;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    padding: 20px;
    width: 90vw;
    margin: 40px auto;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.table-header-jogadores{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    background:#2b4c7e;
    border-radius: 8px 8px 0 0;
    color: #ffffff;
    font-size: 1.7rem;
    font-weight: 700;
}

.table-body-jogadores{
    height: 650px;
    overflow: auto; 
}

.table-body-jogadores tr:hover td{
    color: #567ebb;
    cursor: pointer;
    background-color: #f3f8ff;
}

.table-body-jogadores th:nth-child(3), td:nth-child(3), th:nth-child(2), td:nth-child(2) {
    width: 25%;
}

.table-body-jogadores th:nth-child(1), td:nth-child(1){
    width: 50%;
}

.btn-tabela {
    position: relative;
    border-radius: 30px;
    box-shadow: 0 0 7px 0 #ffffff;
}

.btn-tabela > button{
    cursor: pointer;
    background: transparent;
    border: none;
    position: relative;
    padding: 10px 27px;
}

.btn-color {
    position: absolute;
    width: 108px;   
    height: 100%;
    background: linear-gradient(to right, #2b4c7e, #7e2b2b);
    border-radius: 30px;
    transition: .3s;
}

.btns-opcoes {
    border: none;
    box-shadow: none;
    background: none;
    width: 30px;
    height: auto;
    margin: 0;
    padding: 0;
    cursor: pointer;
}

.icone {
    max-width: 100%;
    height: auto;
    width: auto;
}

/*Modal Remover Jogador*/
.header-modal-remover {
    justify-content: center;
}

.container-1-modal-remover {
    margin-bottom: 25px;
    color: #000;
    font-size: 1.2rem;
    text-align: center;
}

.container-2-modal-remover {
    display: flex;
    justify-content: space-evenly;
}

.container-2-modal-remover .btn-1 {
    background-color: #a50d0d;
}

.container-2-modal-remover .btn-2 {
    background-color: #2b4c7e;
}

.container-2-modal-remover .btn-1:hover {
    background-color: #830707;
}

.container-2-modal-remover .btn-2:hover {
    background-color: #16325e;
}


#Azul {
    left: 25px;
}

#Vermelho {
    display: none;
}

#container-time-vermelho {
    display: none;
}

.container-modal-add-jogador {
    display: flex;
}

.add-jogador {
    padding: 5px 12px;
    margin-left: 15px;
    border-radius: 25px;
    color: #fefefe;
    background: #567ebb;
    cursor: pointer;
    transition: all 400ms ease;
    border: none;
    outline: none;
}

.add-jogador:hover{
    background: transparent;
    color: #ffffff;
    box-shadow: inset 0 0 0 3px #ffffff;
}

.icone {
    max-width: 100%;
    height: auto;
    width: auto;
}

/* modal */

/* Janela Modal */
.modal-fade {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    display: flex;
    justify-content: center;
    align-items: center; 
}

.modal {
    background: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    max-width: 500px;
    width: 100%;
    position: relative;
}

.header-modal {
    color: #000;
    background: none;
    font-size: 1.6rem;
    padding: 0px;
    margin-top: 15px;
    margin-bottom: 30px;
}

.header-modal button {
    position: absolute;
    top: 15px;
    right: 10px;
    cursor: pointer;
    font-size: 2.8rem;
    color: #ff0000ff;
    background: none;
    border: none;
}

/* modal adicionar jogador */
.container-checkbox {
    max-height: 200px;
    overflow: auto;
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.container-checkbox label{
    color: #000;
    font-size: 1.0rem;
}

.container-checkbox label input{
    cursor: pointer;
}

.modal-add-jogador form select {
    width: 100%;
    padding: 8px;
    margin-top: 30px;
    margin-bottom: 10px;
    box-sizing: border-box;
    border: none;
    border-bottom: 2px solid #000;
    background: transparent;
    cursor: pointer;
    outline: none;
}

.modal-add-jogador form input[type="submit"] {
    background-color: #2b4c7e;
    width: 100%;
    color: #fff;
    padding: 10px 15px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    margin-top: 20px;
}

.modal-add-jogador form input[type="submit"]:hover {
    background-color: #4167a0;
    cursor: pointer;
}

/* tabela de artilharia e cartoes */
.container-principal-3 {
    background: #e0e0e0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.container-principal-3 .container-ranks {
    flex: 1;
    max-width: 50%;
    padding: 40px;
}

.container-3 {
    background-color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    padding: 20px;
    width: 100%;
    margin: 40px auto;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.table-artilharia {
    width: 100%;
    overflow-x: auto;
}

.table-header-artilharia{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    background: linear-gradient(to right, #2b4c7e, #7e2b2b);
    border-radius: 8px 8px 0 0;
    color: #ffffff;
    font-size: 1.7rem;
    font-weight: 700;
}

.titulo-table-artilharia{
    display: flex;
    align-items: center;
    justify-content: center;
}

.titulo-table-artilharia h1{
    font-size: 1.7rem;
    margin-top: 15px;
    margin-left: 10px;
}

.table-body-artilharia{
    height: 400px;
    overflow: auto; 
}

.table-body-artilharia table{
    width: 100%;
    min-width: 100%; 
}

.table-body-artilharia th:nth-child(2), td:nth-child(2){
    width: 20%;
}

.table-body-artilharia th:nth-child(1), td:nth-child(1){
    width: 80%;
}

/* registro geral jogos */
.container-principal-4 {
    background: #ffffff;
    display: flex;
    align-items: center;
    justify-content: center;
}

.container-4 {
    display: grid;
    width: 100%;
    grid-template-columns: 1fr 1fr;
}

.half {
    padding: 40px;
}

/* formulario registro faltas */
.container-registro {
    background-color: #e0e0e0;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    padding: 20px;
    width: 100%;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.main-registro{
    width: 100%;
    overflow-x: auto;
}

.header-registro{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    background: linear-gradient(to right, #2b4c7e, #7e2b2b);
    border-radius: 8px 8px 0 0;
    color: #ffffff;
    font-size: 1.7rem;
    font-weight: 700;
}

.header-registro .titulo{
    display: flex;
    align-items: center;
    justify-content: center;
}

.header-registro .titulo h1{
    font-size: 1.7rem;
    margin-top: 15px;
    margin-left: 10px;
}

.body-registro {
    height: 250px;
}

.body-registro form {
    margin-top: 10px;
}

#container-checkbox-registro {
    max-height: 90px;
    overflow: auto;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
}

.body-registro form label{
    display: block;
    color: #000;
    margin-bottom: 5px;
    margin-top: 20px;
    font-size: 1.2rem;
    font-weight: bold;
}

#container-checkbox-registro label {    
    font-size: 0.9rem;
    color: #000;
    font-weight: normal;
    margin-top: 10px;
}

#container-checkbox-registro label input{
    margin-right: 5px;
    cursor: pointer;
}

.registro-form-data-motivo {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 25px;
}

.body-registro form select, .body-registro form input[type="number"], .body-registro form input[type="text"], .body-registro form input[type="date"] {
    width: 100%;
    padding: 8px;
    margin-bottom: 10px;
    box-sizing: border-box;
    border: none;
    border-bottom: 2px solid #000;
    background: transparent;
    cursor: pointer;
}

.body-registro form select:focus, .body-registro form input[type="number"]:focus, .body-registro form input[type="text"]:focus, .body-registro form input[type="date"]:focus  {
    outline: none;
    border-bottom: 3px solid #567ebb;
}

.body-registro form button[type="submit"] {
    background-color: #2b4c7e;
    color: #fff;
    padding: 10px 15px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    margin-top: 15px;
    width: 100%;
}

.body-registro form button[type="submit"]:hover {
    background-color: #4167a0;
    cursor: pointer;
}

@media only screen and (min-width: 1024px) and (max-width: 1280px)
{
    .card-jogos{
        grid-template-columns: 1fr 1fr;
    }
    
    .card {
        margin: 20px 0;
    }
}

@media only screen and (min-width: 768px) and (max-width: 1023px)
{
    body {
        overflow-x: hidden;
    }

    .card-jogos{
        grid-template-columns: 1fr 1fr;
    }

    .card {
        margin: 20px 0;
    }

    .container-principal-3 {
        flex-direction: column;
    }

    .container-principal-3 .container-ranks {
        flex: auto;
        max-width: 100%;
    }

    .container-3 {
        margin: 0;
    }

    .container-4 {
        display: flex;
        flex-direction: column;
    }

    #container-checkbox-registro {
        grid-template-columns: 1fr 1fr 1fr;
    }
}

@media only screen and (max-width: 767px)
{
    body {
        overflow-x: hidden;
    }

    .modal {
        max-width: 360px;
    }

    .header-modal h2 {
        font-size: 2rem;
        text-align: center;
    }

    .container-card-jogos {
        margin: 70px 0;
        padding-top: 0;
    }

    .card-jogos{
        grid-template-columns: 1fr;
    }

    .card {
        margin: 20px 0;
        height: 140px;
        width: 330px;
    }

    th:nth-child(4), td:nth-child(4), th:nth-child(5), td:nth-child(5),th:nth-child(6), td:nth-child(6) {
        display: none;
    }

    .container-1 table {
        min-width: 338px;
    }

    .container-principal-3 {
        flex-direction: column;
    }

    .container-principal-3 .container-ranks {
        flex: auto;
        max-width: 100%;
    }

    .container-3 {
        margin: 0;
    }

    .table-body-artilharia table {
        min-width: 142%;
    }
    
    .table-body-artilharia th:nth-child(1) {
        width: 40%;
    }

    .table-body-artilharia .table-cartao {
        min-width: 191%;
    }

    .btn-tabela {
        display: none;
    }
    
    #container-time-vermelho {
        display: flex;
    }

    #container-time-vermelho .table-header-jogadores {
        background: #7e2b2b;
    }

    #container-time-vermelho thead th {
        background: #806060;
    }

    #container-time-vermelho .add-jogador {
        background: #bb5656;
    }

    #container-time-vermelho .add-jogador:hover {
        background: transparent;
    }

    .table-body-jogadores th:nth-child(2), .table-body-jogadores td:nth-child(2) {
        display: none;
    }

    .table-body-jogadores table {
        min-width: 360px;
    }

    .titulo-table-artilharia h1 {
        text-align: center;
        font-size: 1.5rem;
    }

    .container-4 {
        display: flex;
        flex-direction: column;
    }

    .header-registro h1 {
        font-size: 1.5rem;
    }

    #container-checkbox-registro {
        grid-template-columns: 1fr;
    }
}